# $Revision: 1.26.2.3 $, $Date: 2007/03/09 09:52:05 $
Summary:	A password manager for the GNOME 2 desktop
Summary(pl):	Zarzdca hase dla rodowiska GNOME 2
Name:		revelation
Version:	0.4.7
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	ftp://oss.codepoet.no/revelation/%{name}-%{version}.tar.bz2
# Source0-md5:	d0a100914b0ffc0a09b1d4067f4307eb
Patch0:		%{name}-desktop.patch
URL:		http://oss.codepoet.no/revelation/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cracklib-devel
BuildRequires:	libtool
BuildRequires:	python-Crypto >= 1.9
BuildRequires:	python-gnome-devel >= 2.12.4
BuildRequires:	python-gnome-desktop-devel
BuildRequires:	python-gnome-ui >= 2.12.4
BuildRequires:	python-libxml2 >= 2.0.0
BuildRequires:	python-pygtk-devel >= 2.12.4
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
Requires:	hicolor-icon-theme
Requires:	python-Crypto >= 1.9
Requires:	python-gnome >= 2.12.4
Requires:	python-gnome-desktop-applet >= 2.14.0
Requires:	python-gnome-gconf >= 2.12.4
Requires:	python-gnome-vfs >= 2.12.4
Requires:	python-libxml2 >= 2.0.0
Requires:	python-PyXML
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Revelation is a password manager for the GNOME 2 desktop. It organizes
accounts in a tree structure, and stores them as AES-encrypted XML
files.

%description -l pl
Revelation jest zarzdc hase dla rodowiska GNOME 2. Wywietla konta
w postaci drzewa, a dane przechowuje w zakodowanych plikach XML.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-desktop-update \
	--disable-mime-update
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/datahandler/*.py

install data/icons/48x48/revelation.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install revelation.schemas
%gconf_schema_install revelation-applet.schemas
%update_desktop_database_post
umask 022
/usr/bin/update-mime-database %{_datadir}/mime ||:

%preun
%gconf_schema_uninstall revelation.schemas
%gconf_schema_uninstall revelation-applet.schemas

%postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
	umask 022
	/usr/bin/update-mime-database %{_datadir}/mime
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/revelation-applet
%{_datadir}/%{name}
%{_datadir}/mime/packages/revelation.xml
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/24x24/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/hicolor/48x48/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/filesystems/*.svg
%{_libdir}/bonobo/servers/GNOME_RevelationApplet.server
%{_pixmapsdir}/*.png

%dir %{py_sitedir}/%{name}
%dir %{py_sitedir}/%{name}/datahandler
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py[oc]
%{py_sitedir}/%{name}/datahandler/*.py[co]

%{_sysconfdir}/gconf/schemas/revelation.schemas
%{_sysconfdir}/gconf/schemas/revelation-applet.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: revelation.spec,v $
Revision 1.26.2.3  2007/03/09 09:52:05  glen
- HEAD merge

Revision 1.26.2.2  2006/05/24 11:38:17  baggins
- up to 0.4.7

Revision 1.26.2.1  2006/05/21 16:23:14  freetz
- rel.2, strict/fix deps, STBR

Revision 1.26  2005/10/30 20:34:09  freetz
- 0.4.5, configure patch added, install icon in default location too

Revision 1.25  2005/08/12 20:39:01  freetz
- R: python-gnome-vfs (pointed by Robert 'dzeus' Grauenis, thx), rel.3

Revision 1.24  2005/08/11 13:03:17  freetz
- fixed Rs (python-pygtk-devel is not required at runtime), rel.2

Revision 1.23  2005/08/10 22:01:57  freetz
- BR python-gnome-devel (yes, it can help)

Revision 1.22  2005/08/10 21:17:50  freetz
- 0.4.4, more BRs/Rs, more %%files, more schemas, cleanup

Revision 1.21  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.20  2005/04/25 09:38:53  paladine
- proper macros version

Revision 1.19  2005/04/25 09:37:24  paladine
- new style macros
- rel. 2

Revision 1.18  2005/04/06 11:18:31  paladine
- missing umask 022

Revision 1.17  2005/04/03 12:03:40  wrobell
- fixed BR

Revision 1.16  2005/04/02 18:34:35  qboosh
- unified

Revision 1.15  2005/04/02 16:33:56  wiget
- fixed mime database update

Revision 1.14  2005/04/02 16:28:44  wiget
- require new rpm macros for gconf schema installation

Revision 1.13  2005/04/02 16:22:50  wiget
- updated to 0.4.3
- use ./configure  options to disable schema install, desktop and mime update
  at "make install" time
- faster gconf schema installation
- uninstallation of gconf schema
- mime and desktop database update

Revision 1.12  2005/03/22 18:17:35  patrys
- up to 0.4.2

Revision 1.11  2005/02/09 07:05:33  aredridel
- up to 0.4.0
- nfy
- needs mime and desktop database updated in %post?
- install is ugly.

Revision 1.10  2004/09/27 19:41:33  paladine
- updated to 0.3.4
- added desktop patch

Revision 1.9  2004/08/30 16:53:27  paszczus
- updated to 0.3.3

Revision 1.8  2004/08/29 16:24:09  grzegol
- updated to 0.3.2

Revision 1.7  2004/07/28 08:03:19  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/04/07 16:05:56  grzegol
- updated to 0.3.0

Revision 1.5  2004/02/29 21:22:06  grzegol
- updated to 0.2.1
- simplified install (use python.py)

Revision 1.4  2004/02/06 13:14:32  grzegol
- updated to 0.1.2

Revision 1.3  2004/01/30 14:17:59  grzegol
- updated to 0.1.1

Revision 1.2  2004/01/22 18:20:45  qboosh
- missing dir

Revision 1.1  2004/01/21 21:54:29  grzegol
- new
